# Interface CreateConversationParameters`Beta`

Parameters object for VonageClient.createConversation

interface CreateConversationParameters {
customData?: Nullable<CustomData>;
customSortKey?: Nullable<string>;
displayName?: Nullable<string>;
imageUrl?: Nullable<string>;
name?: Nullable<string>;
ttl?: Nullable<number>;
}

#####
Index

### Properties

customData?
customSortKey?
displayName?
imageUrl?
name?
ttl?

## Properties

### `Optional` customData

customData?: Nullable<CustomData>

Custom data associated with the conversation

### `Optional` `Readonly` customSortKey

customSortKey?: Nullable<string>

The customSortKey to initialize the conversation with. When GetConversationsParameters.orderBy is set to OrderBy.CUSTOM_SORT_KEY, conversations will be sorted according to the value of this property.

### `Optional` `Readonly` displayName

displayName?: Nullable<string>

The displayName to initialize the conversation with

### `Optional` `Readonly` imageUrl

imageUrl?: Nullable<string>

The name to imageUrl the conversation with

### `Optional` `Readonly` name

name?: Nullable<string>

The name to initialize the conversation with

### `Optional` ttl

ttl?: Nullable<number>

The time-to-live (in seconds) to initialize the conversation with